import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.roles.create({
name: "Prompt Engineer",
description: "Role for users who can fetch and change prompts",
permissions: [
"prompts_read",
"prompts_write",
"prompts_delete",
],
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.roles.create(request={
"name": "Prompt Engineer",
"description": "Role for users who can fetch and change prompts",
"permissions": [
"prompts_read",
"prompts_write",
"prompts_delete",
],
})
# Handle response
print(res)curl --request POST \
--url https://api.syllable.cloud/api/v1/roles/ \
--header 'Content-Type: application/json' \
--header 'Syllable-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"permissions": [
"<string>"
],
"description": "Role for users who can fetch and change prompts"
}
'const options = {
method: 'POST',
headers: {'Syllable-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
permissions: ['<string>'],
description: 'Role for users who can fetch and change prompts'
})
};
fetch('https://api.syllable.cloud/api/v1/roles/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"permissions": [
"<string>"
],
"id": 123,
"is_system_role": true,
"last_updated": "2023-11-07T05:31:56Z",
"last_updated_by": "<string>",
"description": "Role for users who can fetch and change prompts",
"last_updated_comments": "Updated to add delete permission"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Role
Create a new role.
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.roles.create({
name: "Prompt Engineer",
description: "Role for users who can fetch and change prompts",
permissions: [
"prompts_read",
"prompts_write",
"prompts_delete",
],
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.roles.create(request={
"name": "Prompt Engineer",
"description": "Role for users who can fetch and change prompts",
"permissions": [
"prompts_read",
"prompts_write",
"prompts_delete",
],
})
# Handle response
print(res)Authorizations
Body
Request model to create a role.
The name of the role.
"Prompt Engineer"
The permissions associated with the role. Available permissions can be found by calling GET /permissions.
[
"prompts_read",
"prompts_write",
"prompts_delete"
]
The description of the role.
"Role for users who can fetch and change prompts"
Response
Successful Response
Information about a role.
The name of the role.
"Prompt Engineer"
The permissions associated with the role. Available permissions can be found by calling GET /permissions.
[
"prompts_read",
"prompts_write",
"prompts_delete"
]
The internal ID of the role.
1
Whether this is a built-in system role that cannot be updated or deleted
false
The timestamp of the most recent update to the role
The email of the user who last updated the role
"user@email.com"
The description of the role.
"Role for users who can fetch and change prompts"
Comments for the most recent edit to the role.
"Updated to add delete permission"

